Apache JMeter

## org.apache.jmeter.save
Class TestResultWrapper

    java.lang.Object
      org.apache.jmeter.save.TestResultWrapper

public class TestResultWrapper
extends Object

Constructor Summary
`TestResultWrapper()`

Method Summary
`Collection` `getSampleResults()`
`long` `getTestStartTime()`
`String` `getVersion()`
`void` `setSampleResults(Collection sampleResults)`
`void` `setTestStartTime(long testStartTime)`
`void` `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestResultWrapper

    public TestResultWrapper()

Method Detail

### getSampleResults

    public Collection getSampleResults()

  Returns:
    Returns the sampleResults.

### setSampleResults

    public void setSampleResults(Collection sampleResults)

  Parameters:
    `sampleResults` - The sampleResults to set.

### getTestStartTime

    public long getTestStartTime()

  Returns:
    Returns the testStartTime.

### setTestStartTime

    public void setTestStartTime(long testStartTime)

  Parameters:
    `testStartTime` - The testStartTime to set.

### getVersion

    public String getVersion()

  Returns:
    Returns the version.

### setVersion

    public void setVersion(String version)

  Parameters:
    `version` - The version to set.

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.